For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The TimesheetEntry object
          • GET/timesheet-entries
          • POST/timesheet-entries
          • GET/timesheet-entries/{id}
          • GET/timesheet-entries/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsTimesheet entries

/timesheet-entries

Beta
GET
/hris/v1/timesheet-entries
GET
/api/hris/v1/timesheet-entries
$curl -G https://api.merge.dev/api/hris/v1/timesheet-entries \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw \
> -d employee_id=employee_id \
> -d expand=employee
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
7 "remote_id": "19202938",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
11 "hours_worked": 10,
12 "start_time": "2020-11-10T00:00:00Z",
13 "end_time": "2020-11-10T00:10:00Z",
14 "remote_was_deleted": true,
15 "field_mappings": {
16 "organization_defined_targets": {
17 "custom_key": "custom_value"
18 },
19 "linked_account_defined_targets": {
20 "custom_key": "custom_value"
21 }
22 },
23 "remote_data": [
24 {
25 "path": "/dependent",
26 "data": null
27 }
28 ]
29 }
30 ]
31}

Returns a list of TimesheetEntry objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The TimesheetEntry object

Next

/timesheet-entries

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

created_afterdatetimeOptional
If provided, will only return objects created after this datetime.
created_beforedatetimeOptional
If provided, will only return objects created before this datetime.
cursorstringOptional
The pagination cursor value.
employee_idstringOptional
If provided, will only return timesheet entries for this employee.
ended_afterdatetimeOptional
If provided, will only return timesheet entries ended after this datetime.
ended_beforedatetimeOptional
If provided, will only return timesheet entries ended before this datetime.
expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_deleted_databooleanOptional
Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

modified_afterdatetimeOptional
If provided, only objects synced by Merge after this date time will be returned.
modified_beforedatetimeOptional
If provided, only objects synced by Merge before this date time will be returned.
order_byenumOptional

Overrides the default ordering for this endpoint. Possible values include: start_time, -start_time.

Allowed values:
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
remote_idstringOptional
The API provider's ID for the given object.
started_afterdatetimeOptional
If provided, will only return timesheet entries started after this datetime.
started_beforedatetimeOptional
If provided, will only return timesheet entries started before this datetime.

Response

nextstring or null
previousstring or null
resultslist of objects

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.